diff options
author | Jim Meyering <jim@meyering.net> | 2007-09-10 08:00:39 +0200 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2007-09-15 08:40:39 +0200 |
commit | be23f60132655a40bc65fc8437509ec02663d1be (patch) | |
tree | d04f52a324fb1cd60f45893ec615b8c9fe2fcd53 /tests/mkdir/p-slashdot | |
parent | 570fd054c62fb5982e92f2d03c6397b4c3e2a207 (diff) | |
download | coreutils-be23f60132655a40bc65fc8437509ec02663d1be.tar.xz |
Convert tests/mkdir/ to use test-lib.sh.
Diffstat (limited to 'tests/mkdir/p-slashdot')
-rwxr-xr-x | tests/mkdir/p-slashdot | 16 |
1 files changed, 2 insertions, 14 deletions
diff --git a/tests/mkdir/p-slashdot b/tests/mkdir/p-slashdot index 51237301f..b35ce19cf 100755 --- a/tests/mkdir/p-slashdot +++ b/tests/mkdir/p-slashdot @@ -1,7 +1,7 @@ #!/bin/sh # Ensure that mkdir -p works with arguments specified with a trailing "/.". -# Copyright (C) 2005, 2006 Free Software Foundation, Inc. +# Copyright (C) 2005-2007 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by @@ -21,19 +21,7 @@ if test "$VERBOSE" = yes; then mkdir --version fi -pwd=`pwd` -tmp=`echo "$0"|sed 's,.*/,,'`.tmp -trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0 -trap '(exit $?); exit' 1 2 13 15 - -framework_failure=0 -mkdir $tmp || framework_failure=1 -cd $tmp || framework_failure=1 - -if test $framework_failure = 1; then - echo 'failure in testing framework' - (exit 1); exit 1 -fi +. $srcdir/../test-lib.sh fail=0 |